package org.openjdk.gcbench.yield;

import org.openjdk.gcbench.tests.UnderPressureTest;
import org.openjdk.jmh.annotations.*;
import org.openjdk.jmh.infra.Blackhole;

import java.util.concurrent.TimeUnit;

@Warmup(iterations = 5, time = 1, timeUnit = TimeUnit.SECONDS)
@Measurement(iterations = 5, time = 1, timeUnit = TimeUnit.SECONDS)
@Fork(1)
@BenchmarkMode(Mode.AverageTime)
@OutputTimeUnit(TimeUnit.NANOSECONDS)
@Threads(Threads.MAX)
@State(Scope.Benchmark)
public class Sleeps extends UnderPressureTest {

    @Setup
    public void setup(Blackhole bh) {
        super.setup(bh);
    }

    @TearDown
    public void tearDown() throws InterruptedException {
        super.tearDown();
    }

    @Benchmark
    public void test() throws InterruptedException {
        Thread.sleep(1);
    }

}